Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.siblings

TreeNode.siblings()

  Return all nodes that are siblings of the current node.

  Siblings are nodes that are children of the current node’s parent, except for the current node itself.

  Returns:
    list of TreeNode

      The list of sibling nodes relative to self.

  See also

  `neighbors`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c,(d,e,f)g)root;"])
      >>> tip_e = tree.find('e')
      >>> [n.name for n in tip_e.siblings()]
      ['d', 'f']